OffsetRulerRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.OffsetRulerRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class OffsetRulerRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.OffsetRulerRenderer

All Implemented Interfaces:
  SequenceRenderer, Changeable

    public class OffsetRulerRenderer

extends AbstractChangeable
implements SequenceRenderer

OffsetRulerRenderer can render the ruler starting from an arbitrary offset from the sequence. For example if the Protein contained an N-Terminal His tag then coordinate 1 should correspond to the start of the protein, not the tag. This implementation borrows heavily from RulerRenderer

Since:
  1.5
Author:
  Mark Southern

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary
`static ChangeType` | `OFFSET`
`static ChangeType` | `TICKS`
`static int` | `TICKS_DOWN`
`static int` | `TICKS_UP`

Constructor Summary
`OffsetRulerRenderer()`
`OffsetRulerRenderer(int tickDirection, int sequenceOffset)`

Method Summary
`double` | `getDepth(SequenceRenderContext src)` Retrieve the depth of this renderer when rendering src.
`double` | `getMinimumLeader(SequenceRenderContext context)` Retrieve the minimum leading distance for this renderer when rendering src.
`double` | `getMinimumTrailer(SequenceRenderContext context)` Retrieve the minimum trailing distance for this renderer when rendering src.
`int` | `getSequenceOffset()`
`int` | `getTickDirection()`
`void` | `paint(Graphics2D g2, SequenceRenderContext context)` Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.
`SequenceViewerEvent` | `processMouseEvent(SequenceRenderContext context, MouseEvent me, List path)` Produce a SequenceViewerEvent in response to a mouse gesture.
`void` | `setSequenceOffset(int offset)`
`void` | `setTickDirection(int dir)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFFSET

    public static final ChangeType OFFSET

### TICKS

    public static final ChangeType TICKS

### TICKS_UP

    public static final int TICKS_UP

See Also:
  Constant Field Values

### TICKS_DOWN

    public static final int TICKS_DOWN

See Also:
  Constant Field Values

Constructor Detail

### OffsetRulerRenderer

    public OffsetRulerRenderer()
                        throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### OffsetRulerRenderer

    public OffsetRulerRenderer(int tickDirection,
                               int sequenceOffset)
                        throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

Method Detail

### setSequenceOffset

    public void setSequenceOffset(int offset)
                           throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getSequenceOffset

    public int getSequenceOffset()

### setTickDirection

    public void setTickDirection(int dir)
                          throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getTickDirection

    public int getTickDirection()

### getMinimumLeader

    public double getMinimumLeader(SequenceRenderContext context)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum leading distance for this renderer when rendering src.

  The leading distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumLeader` in interface `SequenceRenderer`
  Parameters:
    `context` - the SequenceRenderContext to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

### getMinimumTrailer

    public double getMinimumTrailer(SequenceRenderContext context)

  Description copied from interface: `SequenceRenderer`
  Retrieve the minimum trailing distance for this renderer when rendering src.

  The trailing distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    `getMinimumTrailer` in interface `SequenceRenderer`
  Parameters:
    `context` - the SequenceRenderContext to return info for
  Returns:
    the trailing distance of the renderer for that sequence panel

### getDepth

    public double getDepth(SequenceRenderContext src)

  Description copied from interface: `SequenceRenderer`
  Retrieve the depth of this renderer when rendering src.

  The depth may vary between sequence panels - for example based upon sequence length. Each line of information in the SequenceRendererContext only renders a region of the sequence. The depth for one complete line may be different from that for another due to the sequence having more or less information in that region to show. For example, a feature renderer implementation may chose to collapse down to a depth of zero pixels if there are no features to render within a region.

  Specified by:
    `getDepth` in interface `SequenceRenderer`
  Parameters:
    `src` - the SequenceRenderContext to return info for
  Returns:
    the depth of the renderer for that sequence panel

### paint

    public void paint(Graphics2D g2,
                      SequenceRenderContext context)

  Description copied from interface: `SequenceRenderer`
  Render a portion (possibly all) of the information for src to g, displaying all of the data that would fall within seqBox.

  Specified by:
    `paint` in interface `SequenceRenderer`
  Parameters:
    `g2` - the Graphics2D to render to
    `context` - the SequenceRenderContext that encapsulates the information to render

### processMouseEvent

    public SequenceViewerEvent processMouseEvent(SequenceRenderContext context,
                                                 MouseEvent me,
                                                 List path)

  Description copied from interface: `SequenceRenderer`
  Produce a SequenceViewerEvent in response to a mouse gesture.

  A SequenceRenderer that performs any form of coordinate remapping should ensure that it appropriately transforms the mouse event. However, in the SequenceViewerEvent returned, the MouseEvent should be in untransformed coordinates.

  The SequenceRenderer implementation should append itself to the path list before constructing the SequenceViewerEvent.

  Specified by:
    `processMouseEvent` in interface `SequenceRenderer`
  Parameters:
    `context` - the SequenceRenderContext currently in scope
    `me` - a MouseEvent that caused this request
    `path` - the List of SequenceRenderer instances passed through so far
  Returns:
    a SequenceViewerEvent encapsulating the mouse gesture

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD